## roffit 0.7~20100607+git790d154

=== Makefile ===
# default installation directory
INSTALLDIR=/usr/local/bin

all:

install:
	cp roffit $(DESTDIR)$(INSTALLDIR)

=== debian/changelog ===
roffit (0.7~20100607+git790d154-3) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1.
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 11 Feb 2012 02:00:31 -0500

roffit (0.7~20100607+git790d154-2) unstable; urgency=low

  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Description): Improve wording (Closes: #657052).
    - (Standards-Version): Update to 3.9.2.
  * debian/compat
    - Update to 8.
  * debian/copyright
    - Update to DEP5.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 23 Jan 2012 23:02:21 +0200

roffit (0.7~20100607+git790d154-1) unstable; urgency=low

  * New upstream release (Closes: #584439, #584459, #584437).
  * debian/copyright
    - Add upstream version control location.
  * debian/source/format
    - Update from 1.0 to 3.0

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 11 Jun 2010 14:35:49 +0300

roffit (0.6+cvs20090507-1) unstable; urgency=low

  * Initial release (Closes: #579730).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 30 Apr 2010 12:39:26 +0300

=== debian/control ===
Source: roffit
Section: text
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/roffit.git
Vcs-Git: git://git.debian.org/git/collab-maint/roffit.git
Homepage: http://daniel.haxx.se/projects/roffit

Package: roffit
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: convert nroff manual pages into HTML
 Read nroff formatted manual page from standard input and convert it
 to HTML. Options -mandir and --hrefdir can generate cross-manpage
 links. URLs are converted to <a href> links.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk
CFLAGS	+= -Wall -pedantic
LDFLAGS += -Wl,--as-needed
export CFLAGS LDFLAGS

override_dh_auto_install:
	dh_install

%:
	dh $@

# End of file

## roffit 0.7~20120815+gitbbf62e6

=== Makefile ===
--- 
+++ 
@@ -5,3 +5,11 @@
 
 install:
 	cp roffit $(DESTDIR)$(INSTALLDIR)
+
+test:
+	@perl roffit --bare < testpage.1 > testpage.dump
+	@if cmp testpage.dump testpage.output; then \
+	  echo "SUCCESS"; \
+	else \
+	  echo "FAIL"; \
+	fi

=== debian/changelog ===
roffit (0.7~20120815+gitbbf62e6-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.(see #920124)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/control: bumped Standart-Version to 4.5.0.

 -- Leonardo Rodrigues Pereira <leontecnicalonline@gmail.com>  Tue, 12 May 2020 22:08:51 -0300

roffit (0.7~20120815+gitbbf62e6-1) unstable; urgency=low

  * New upstream snapshot.
    - Perl 5.8.8 fixes.
  * debian/clean
    - New file.
  * debian/control
    - (Build-Depends): Remove dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): 3.9.3.
  * debian/copyright
    - (Format): Update to 1.0.
  * debian/install
    - Rename from <package>.install
    - Install manual page.
  * debian/manpages
    - Rename from <package>.manpages
    - Do not install testpage.1.
      Patch thanks to Ricardo Mones <mones@debian.org>.
  * debian/rules
    - Remove hardened build flags; not needed for a Perl program.
    - (override_dh_auto_config, override_dh_auto_build): Disable rules.
      Patch thanks to Ricardo Mones <mones@debian.org>.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 17 Aug 2012 15:30:21 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: roffit
 Section: text
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.2
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Vcs-Browser: http://git.debian.org/?p=collab-maint/roffit.git
 Vcs-Git: git://git.debian.org/git/collab-maint/roffit.git
 Homepage: http://daniel.haxx.se/projects/roffit

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_config, override_dh_auto_build, override_dh_auto_install:
	# Disable, see debian/install

%:
	dh $@

# End of file

## roffit 0.16

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,20 @@
+##########################################################################
+#
+# Copyright (C) Daniel Stenberg, <daniel@haxx.se>, et al.
+#
+# This software is licensed as described in the file LICENSE, which
+# you should have received as part of this distribution.
+#
+# You may opt to use, copy, modify, merge, publish, distribute and/or sell
+# copies of the Software, and permit persons to whom the Software is
+# furnished to do so, under the terms of the COPYING file.
+#
+# This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
+# KIND, either express or implied.
+#
+# SPDX-License-Identifier: curl
+#
+##########################################################################
 # default installation directory
 INSTALLDIR=/usr/local/bin
 
@@ -12,4 +29,6 @@
 	  echo "SUCCESS"; \
 	else \
 	  echo "FAIL"; \
+	  diff -u testpage.output testpage.dump; \
+	  exit 1; \
 	fi

=== debian/changelog ===
roffit (0.16-1) unstable; urgency=medium

  * New upstream version 0.16
  * d/copyright: Update upstream's range of copyright years.

 -- Sven Geuer <sge@debian.org>  Tue, 18 Jun 2024 21:28:06 +0200

roffit (0.15-2) unstable; urgency=medium

  * d/copyright:
    - Correct the "Files: *" stanza's license to "curl".
    - Change the "Files: debian/*" stanza's license to upstream's license.

 -- Sven Geuer <sge@debian.org>  Sun, 09 Jun 2024 18:58:05 +0200

roffit (0.15-1) unstable; urgency=medium

  * d/watch: Refactor the watch file to make it functional again.
  * New upstream version 0.15
  * d/control:
    - Adopt package setting Maintainer to myself (Closes: #920124).
    - Update Vcs-Browser, Vcs-Git and Homepage.
    - Refactor override_dh_auto_* targets (Closes: #889975).
    - Add libhtml-parser-perl missing from Depends.
    - Bump Standards-Version to 4.7.0.
    - Add Rules-Requires-Root with value "no".
    - Add Multi-Arch with value "foreign".
    - Apply "wrap-and-sort -at".
  * d/t/control: Introduce autopkgtest.
  * d/u/metadata: Add upstream metadata file.
  * d/copyright:
    - Correct the Format field.
    - Update the fields Upstream-Contact and Source.
    - Drop the field X-Upstream-Vcs.
    - Correct and update the "Files: *" stanza.
    - Update the "Files: debian/*" stanza.
    - Update MIT-custom license quoted from file LICENSE.
  * d/salsa-ci.yml: Introduce Salsa-Ci configuration file.
  * d/gbp.conf: Introduce gbp configuration file.

 -- Sven Geuer <sge@debian.org>  Sun, 02 Jun 2024 20:10:54 +0200

=== debian/control ===
Source: roffit
Section: text
Priority: optional
Maintainer: Sven Geuer <sge@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/roffit
Vcs-Git: https://salsa.debian.org/debian/roffit.git
Homepage: https://daniel.haxx.se/projects/roffit

Package: roffit
Architecture: all
Depends: libhtml-parser-perl,
         ${misc:Depends},
         ${perl:Depends},
Multi-Arch: foreign
Description: convert nroff manual pages into HTML
 Read nroff formatted manual page from standard input and convert it
 to HTML. Options -mandir and --hrefdir can generate cross-manpage
 links. URLs are converted to <a href> links.

=== debian/watch ===
version=4
opts=\
	filenamemangle=s%(?:.*?/)?(\d+\.\d+)\.tar\.gz%roffit-$1.tar.gz% \
https://github.com/bagder/roffit/tags \
(?:.*?/)?(\d+\.\d+)\.tar\.gz debian uupdate

## roffit 0.17

=== debian/changelog ===
roffit (0.17-1) unstable; urgency=medium

  * New upstream version 0.17
  * d/watch: Convert watch file to version 5 format.
  * d/control:
    - Drop 'Rules-Requires-Root: no', it's the standard now.
    - Bump Standards-Version to 4.7.2.
  * d/copyright: Bump copyright years to 2025.

 -- Sven Geuer <sge@debian.org>  Sat, 04 Oct 2025 11:27:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Sven Geuer <sge@debian.org>
 Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/roffit
 Vcs-Git: https://salsa.debian.org/debian/roffit.git
 Homepage: https://daniel.haxx.se/projects/roffit

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# nothing to build nothing to do
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_clean:
override_dh_auto_install:
override_dh_auto_test:

# End of file

=== debian/tests/control ===
Test-Command: roffit --bare <testpage.1 | diff - testpage.output

=== debian/watch ===
Version: 5
Template: Github
Owner: bagder
Project: roffit
